Anonymous Login
2020-08-09 05:25 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000849v2.4 Release (Closed)[All Projects] Generalpublic2011-08-16 23:49
Reporterckwanhu 
Assigned Tocaseydk 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionno change required 
Product Version 
Target VersionFixed in Version2.4 
Summary0000849: Gantt chart and PDF Printing
DescriptionHello,

I have tried the PDF printing for the gantt chart.

But the problem is it doesn't work sometimes.
It seems to be related to the numbers of tasks since it is working for little projects and not working for big projects.

Here is a description of some errors (by GracedMan)
---------------------------
Error 1

We are generating 500 errors on the web server:

"Web server 500 error code (Internal Error)."
"POST /Pacifera/index.php?m=projects&a=view&tab=3&project_id=5 HTTP/1.1" 500 6868

This is after changing maximum memory per script from 96M to 1024M. I'm guessing it is something else.
----------------------------------
Error 2

I was looking in the wrong error log:

PHP Catchable fatal error: Object of class w2p_Utilities_Date could not be converted to string in /usr/local/dotproject/Pacifera/lib/jpgraph/src/jpgraph_gantt.php on line 524, referer: https://pm.pacifera.com/Pacifera/index.php?m=projects&a=view&tab=3&project_id=5
---------------------
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0002072

caseydk (administrator)

In base.php, make sure display_errors is off as below. It should be line 6 or so:

ini_set('display_errors', 0);
+Notes

-Issue History
Date Modified Username Field Change
2011-07-03 23:38 ckwanhu New Issue
2011-07-04 18:05 caseydk Project v2.3 Release (Closed) => v2.4 Release (Closed)
2011-07-23 19:59 caseydk Note Added: 0002072
2011-07-23 19:59 caseydk Status new => resolved
2011-07-23 19:59 caseydk Resolution open => no change required
2011-07-23 19:59 caseydk Assigned To => caseydk
2011-08-16 23:49 caseydk Status resolved => closed
2011-08-16 23:49 caseydk Fixed in Version => 2.4
+Issue History